Skip to navigation

Update an analysis

Beta

Update an analysis.

This endpoint can be used to attach DataFrames and Files to an analysis by providing file and/or data frame ids inside the dataFrameIds and fileIds elements. This will append the dataFramess and files to the analysis.

If attaching files:

  1. Upload the files with the Create a file endpoint
  2. Use this endpoint to attach file ids via the fileIds array element

If attaching data frames:

  1. Create the data frames from existing files using the Create a data frame endpoint
  2. Use this endpoint to attach data frame ids via the dataFrameIds array element

For more details and examples on building Analysis integrations, see our developer guide.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

analysis_idstringRequired
The ID of the analysis

Request

This endpoint expects an object.
dataFrameIdslist of stringsOptional
IDs of the data frames to append to an analysis
fileIdslist of stringsOptional
IDs of the files to append to an analysis

Response

OK
dataFrameIdslist of stringsOptional
fileIdslist of stringsOptional
folderIdstringOptional
ID of the folder that contains the analysis
idstringOptional

Errors

403
Forbidden Error
404
Not Found Error